## sks 1.1.1

=== Makefile ===
--- 
+++ 
@@ -47,15 +47,15 @@
 
 CAMLP4=-pp $(CAMLP4O)
 CAMLINCLUDE= -I lib -I bdb
-COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes -ccopt -pthread
+COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes -ccopt -pthread -warn-error A
 OCAMLDEP=ocamldep $(CAMLP4) 
 CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
 OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
 OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40 $(CAMLLIBS:.cma=.cmxa) 
 
 EXE=sks sks_add_mail
-ALL=$(EXE)
-ALL.bc=$(EXE:=.bc)
+ALL=$(EXE) sks.8.gz
+ALL.bc=$(EXE:=.bc) sks.8.gz
 
 all: $(ALL) 
 all.bc: $(ALL.bc) 
@@ -153,6 +153,12 @@
 sks.8: sks.pod
 	pod2man -c "SKS OpenPGP Key server" --section 8 -r 0.1 -name sks sks.pod sks.8
 
+spider: $(LIBS) $(ALLOBJS) spider.cmx
+	$(OCAMLOPT) -o spider $(OCAMLOPTFLAGS) $(ALLOBJS) spider.cmx
+
+spider.bc: $(LIBS.bc) $(ALLOBJS.bc) spider.cmo
+	$(OCAMLC) -o spider.bc $(OCAMLFLAGS) $(ALLOBJS.bc) spider.cmo
+
 sks: $(LIBS) $(ALLOBJS) sks.cmx
 	$(OCAMLOPT) -o sks $(OCAMLOPTFLAGS) $(ALLOBJS) sks.cmx
 
@@ -242,7 +248,7 @@
 	sks/.depend sks/*.tar.gz \
 	sks/bdb/Makefile sks/bdb/*.ml sks/bdb/*.mli sks/bdb/*.c \
 	sks/bdb/*.h sks/README sks/COPYING sks/VERSION sks/FILES \
-	sks/Makefile.local.unused sks/sks.8
+	sks/Makefile.local.unused sks/sks.8.gz
 
 ##################################
 # LIBS
@@ -383,6 +389,7 @@
 clean: mlclean
 	rm -f *.o
 	rm -f prepared
+	rm -f sks.8.gz
 
 cleanall: clean bdbclean
 	rm -f lib/*
