## sks 1.1.1+dpkgv3

=== debian/changelog ===
sks (1.1.1+dpkgv3-7ubuntu0.2) precise-proposed; urgency=low

  * Look for ^.i not ^ii in libdbX.Y-dev packages for BDB_VERSION. And assert
    that we have a value (LP: #1021650)

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 06 Jul 2012 22:43:42 +0200

sks (1.1.1+dpkgv3-7ubuntu0.1) precise-proposed; urgency=low

  * Provide OLD_BDB versions for Ubuntu, so that Berkeley DB upgrades will
    be performed on the right upgrades (LP: #1020034)
  * Create /var/lib/sks/berkeley_db.active even when we aren't upgrading BDB
    versions, so that we'll rely less on heuristics in the future.

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 02 Jul 2012 15:10:31 +0200

sks (1.1.1+dpkgv3-7) unstable; urgency=low

  * remove default mailsync entry to prevent sks from sending email syncs
    per default (Thanks to Graham Dunn <grdunn@rim.com> for the hint)
  * fix sks.daily to not depend on db4.7 (closes: #627767)
  * fix sks.postinst to only upgrade the db if the version changes

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 31 May 2011 17:05:32 +0200

sks (1.1.1+dpkgv3-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Handle gracefully missing db directory, which can happen if:
    + sks was not enabled and didn't create PTree directory
    + keys haven't been imported to the package
  * Update instructions for retrieving keydump (Closes: #605454)
  * Install README from source directory (Closes: #599868)
  * Use dh_ocaml >= 0.9 (Closes: #599579)
  * Add hints to run commands as debian-sks user as suggested in the BTS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 May 2011 11:56:33 +0200

sks (1.1.1+dpkgv3-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove XA environment usage (patch from upstream) and use generic -ldb
    library to link with (Closes: #621384)
  * Add automagick upgrade of Berkeley DB databases (Closes: #606183)
  * Change db4.7-util to Recommends: db4.7-util and Depends: db-util

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 May 2011 12:33:13 +0200

sks (1.1.1+dpkgv3-6) unstable; urgency=high

  * fix to not really working fix for strip of bytecode (closes: 599029)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 25 Oct 2010 18:11:37 +0200

sks (1.1.1+dpkgv3-5) unstable; urgency=high

  * add nostrip to DEB_BUILD_OPTIONS on architectures with ocaml
    bytecode. (closes: 599029)
  * don't depend on mta etc., as mailsync is now mostly obsolete (closes:
    599280)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 07 Oct 2010 20:49:13 +0200

sks (1.1.1+dpkgv3-4) unstable; urgency=low

  * remove pramberger.at from README.Debian, because it is no longer
    availlable (closes: #597818)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 27 Sep 2010 12:09:03 +0200

sks (1.1.1+dpkgv3-3) unstable; urgency=low

  * fix typo in control to include correct ocaml-base-nox dependency
    (closes: #596563)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 12 Sep 2010 21:14:26 +0200

sks (1.1.1+dpkgv3-2) unstable; urgency=low

  * fix build and install to work on plattforms which don't have the
    native ocaml compile (closes: #594557)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 27 Aug 2010 12:09:33 +0200

sks (1.1.1+dpkgv3-1) unstable; urgency=high

  * include NEWS file to inform about db update (closes: #594103)
  * fix README.Debian to include a working download URL for a fresh
    keydump (closes: 593852)
  * 511_gcc4.4_prototypes: Don't redefine bzero(3), fixes FTBFS (Thanks to
    Daniel T Chen <crimsun@ubuntu.com>)
  * convert to source format 3 with quilt patches (closes: #576057)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 25 Aug 2010 18:11:26 +0200

sks (1.1.1-2) unstable; urgency=low

  * don't chown PIDDIR in postinst, since we do it in init (Closes: #566922)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 08 Feb 2010 15:00:34 +0100

sks (1.1.1-1) unstable; urgency=low

  * New upstream
  * fix watchfile
  * fix some lintian errors/warnings

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sat, 28 Nov 2009 15:38:39 +0100

sks (1.1.0-9) unstable; urgency=low

  * Explicitly require libdb4.7, 4.8 is not supported (Closes: #549798).

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 04 Nov 2009 21:40:36 +0100

sks (1.1.0-8) unstable; urgency=low

  * Teach dbserver about content-type for .html.
  * Allow - in filenames for webserver.
  * closes: #505014
  * thanks to Peter Palfrader <weasel@debian.org>

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 16 Jul 2009 23:33:21 +0200

sks (1.1.0-7) unstable; urgency=low

  * fix patch for PIDDIR
  * link against libdb4.7
  * really include watch file

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 16 Jul 2009 00:22:06 +0200

sks (1.1.0-6) unstable; urgency=low

  * remove Peter Palfrader from Maintainer and Uploaders
  * add watch file
  * Remove reference to native-arch in old OCaml standard library path
    (Thanks to Stephane Glondu <steph@glondu.net>) (Closes: #535267)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 10 Jul 2009 23:34:36 +0200

sks (1.1.0-5) unstable; urgency=low

  * Check spool directories for existance (Thanks to Filippo Giunchedi
    <filippo@debian.org>) (Closes: #493335)
  * make PIDDIR on startup to workaround /var/run on a tempfs

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 18 Jun 2009 16:39:09 +0200

sks (1.1.0-4) unstable; urgency=low

  * fix cron.daily to call correct db*_archive and print unwanted messages
    (closes #491281)
  * fix comment in README.Debian about correcting permissions after
    initial database build

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Tue, 22 Jul 2008 17:27:58 +0200

sks (1.1.0-3) unstable; urgency=low

  * make separate patches for manpage install for upstream
  * patch to correctly build bdb on non native ocaml archs


