=== debian/control ===
Source: sks
Section: net
Priority: optional
Standards-Version: 3.8.3
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Uploaders: Fabio M. Di Nitto <fabbione@fabbione.net>
Build-Depends: ocaml (>= 3.08), camlp4, libdb-dev, debhelper (>= 7.0.50~), zlib1g-dev, libcryptokit-ocaml-dev (>= 1.2-4), ocaml-nox (>= 1.3-4), perl, perl-doc, dh-ocaml (>= 0.9~)

Package: sks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}, db-util, adduser, logrotate
Provides: ${ocaml:Provides}
Recommends: db4.7-util
Suggests: postfix | mail-transport-agent, procmail
Description: Synchronizing OpenPGP Key Server
 SKS is an OpenPGP key server that correctly handles all OpenPGP features
 defined in RFC2440 and RFC2440bis, including photoID packages and multiple
 subkeys.
 .
 This key server implementation uses an efficient and reliable reconciliation
 algorithm to keep the database in sync with other SKS servers.  Additionally
 it can both send and receive PKS style sync emails.
