=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TMP     =$(CURDIR)/debian/sks

OCAMLABI = $(shell ocamlc -version)
BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
all      = $(if $(BYTECODE),all.bc,all)
install  = $(if $(BYTECODE),install.bc,install)
OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))

export DEB_BUILD_OPTIONS += $(if $(BYTECODE)," nostrip",)

BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^.i | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

%:
	dh  $@ --with=ocaml

override_dh_auto_build:
	dh_auto_build -v --  $(all)

override_dh_auto_install:
#	dh_auto_install -v -- PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
	$(MAKE) PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
#	Debian specific
	cp -a debian/debcfg/* debian/sks/etc/sks
	# Check that we have a value for BDB_VERSION
	[ -n "$(BDB_VERSION)" ]
	echo $(BDB_VERSION) > debian/sks/usr/lib/sks/berkeley_db.txt

# Use override_dh_* targets to customize this.
# ---------------------------------------------------
# Followings are the old debian/rules
#
# #!/usr/bin/make -f
# 
# TAR_DIR = sks-1.1.1
# # the dbs rules
# include /usr/share/dbs/dbs-build.mk
# 
# ifeq (,$(DEB_BUILD_GNU_TYPE))
#   include /usr/share/dbs/dpkg-arch.mk
# endif
# 
# TMP     =$(CURDIR)/debian/sks
# 
# OCAMLABI = $(shell ocamlc -version)
# BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
# all      = $(if $(BYTECODE),all.bc,all)
# install  = $(if $(BYTECODE),install.bc,install)
# OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))
# 
# DEBCFLAGS = -g
# ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
# 	DEBCFLAGS += -O0
# else
# 	DEBCFLAGS += -O3
# endif
# 
# debug:
# 	ls -l
# 
# configure: configure-stamp
# configure-stamp: $(patched)
# 	dh_testdir
# 	cd $(BUILD_TREE) && make clean dep
# 	touch configure-stamp
# 
# build: debug configure-stamp build-stamp
# build-stamp: $(patched)
# 	dh_testdir
# 	#cat /usr/lib/ocaml/*/native-archs
# 	cd $(BUILD_TREE) && $(MAKE) DEBCFLAGS="$(DEBCFLAGS)" $(all)
# 	touch build-stamp
# 
# install: build
# 	dh_testdir
# 	dh_testroot
# 	dh_clean -k
# 	dh_installdirs
# 	dh_installdocs
# 	dh_installchangelogs
# 
# 	# from upstream
# 	cd $(BUILD_TREE) && $(MAKE) PREFIX="$(TMP)/usr" MANDIR="$(TMP)/usr/share/man" $(install)
# 	#install -m 755 $(BUILD_TREE)/sks debian/sks/usr/sbin/sks
# 	#install -m 755 $(BUILD_TREE)/sks_add_mail debian/sks/usr/lib/sks/sks_add_mail
# 
# 	# Debian specific
# 	cp -a debian/debcfg/* debian/sks/etc/sks
# 
# binary-arch: install
# 	dh_testdir
# 	dh_testroot
# 	dh_compress
# 	dh_fixperms
# 	if [ -z $(BYTECODE) ]; then \
# 		dh_strip; \
# 	fi
# 	dh_shlibdeps
# 	dh_installdebconf
# 	dh_installlogrotate
# 	dh_installinit
# 	dh_installcron
# 	dh_installdeb
# 	dh_gencontrol -- -VF:OCamlRun="$(OCAMLRUN)"
# 	dh_md5sums
# 	dh_builddeb
# 
# binary-indep:
# 	# do nothing
# 
# binary: binary-arch binary-indep
# 
# clean:
# 	dh_testdir
# 	dh_testroot
# 	rm -f build-stamp configure-stamp
# 	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
# 	dh_clean
