## sks 1.1.3

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 CAMLP4=-pp $(CAMLP4O)
 CAMLINCLUDE= -I lib -I bdb
-COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes -ccopt -pthread -warn-error A
+COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes -ccopt -pthread -ccopt -pg -warn-error A
 OCAMLDEP=ocamldep $(CAMLP4) 
 CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
 OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
@@ -204,7 +204,7 @@
 	pMap.cmo pSet.cmo add_mail.cmo
 
 sks_add_mail: $(LIBS) pMap.cmx pSet.cmx add_mail.cmx
-	$(OCAMLOPT) -o sks_add_mail unix.cmxa \
+	$(OCAMLOPT) -o sks_add_mail -ccopt -pg unix.cmxa \
 	pMap.cmx pSet.cmx add_mail.cmx
 
 ocamldoc.out: $(ALLOBJS) $(EXEOBJS)
@@ -248,7 +248,7 @@
 	sks/.depend sks/*.tar.gz \
 	sks/bdb/Makefile sks/bdb/*.ml sks/bdb/*.mli sks/bdb/*.c \
 	sks/bdb/*.h sks/README sks/COPYING sks/VERSION sks/FILES \
-	sks/Makefile.local.unused sks/sks.8.gz
+	sks/Makefile.local.unused sks/sks.8
 
 ##################################
 # LIBS
@@ -398,10 +398,10 @@
 	rm -rf
 
 # Dependencies
+
 dep: 
 	$(OCAMLDEP) $(INCLUDES) *.ml *.mli > .depend
 
-include .depend
-
+-include .depend
 
 # DO NOT DELETE
