=== debian/changelog ===
sks (1.1.3-1ubuntu2) quantal; urgency=low

  * Look for ^.i not ^ii in libdbX.Y-dev packages for BDB_VERSION. And assert
    that we have a value (LP: #1021650)

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 06 Jul 2012 22:30:42 +0200

sks (1.1.3-1ubuntu1) quantal; urgency=low

  * Provide OLD_BDB versions for Ubuntu (LP: #1020034)
  * Create /var/lib/sks/berkeley_db.active even when we aren't upgrading BDB
    versions.
  * Include pagesize and ptree_pagesize in sksconf, so that importing a dump
    won't hang (LP: #1019756)

 -- Stefano Rivera <stefanor@ubuntu.com>  Mon, 02 Jul 2012 12:50:53 +0200

sks (1.1.3-1) unstable; urgency=low

  * New upstream release (closes: #663757)
  * change patches to work with new release
  * include sample config and web
  * include default index.html and robots.txt (closes: #600008)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 20 Jun 2012 11:58:47 +0200

sks (1.1.1+dpkgv3-8) unstable; urgency=low

  * fix debian/watch
  * drop recommends on db4.7-utils (closes: 664768) Hopyfully you have the
    db-utils from you old db version installed. But it should also work
    without that.
  * change default mailsync server (closes: 599919)
  * change init script to not background sks too early to see error
    messages (closes: 651843)
  * bump Standards-Version to 3.9.1 (no changes)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 11 May 2012 17:15:08 +0200

sks (1.1.1+dpkgv3-7.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * emit proper HTTP 1.0 POSTs from recon process (Closes: #667695)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Apr 2012 10:36:48 -0400
