=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh  $@ --with=ocaml
 
 override_dh_auto_build:
+	make dep
 	dh_auto_build -v --  $(all)
 
 override_dh_auto_install:
@@ -28,6 +29,7 @@
 	# Check that we have a value for BDB_VERSION
 	[ -n "$(BDB_VERSION)" ]
 	echo $(BDB_VERSION) > debian/sks/usr/lib/sks/berkeley_db.txt
+	cp -a sampleWeb/OpenPKG/* debian/sks/var/lib/sks/www/
 
 # Use override_dh_* targets to customize this.
 # ---------------------------------------------------
