=== debian/watch ===
version=3
opts=downloadurlmangle=s/\/\/code.google.com// http://code.google.com/p/sks-keyserver/downloads/list?can=1 .*/sks-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
