## sks 1.1.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   You should have received a copy of the GNU General Public License
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
-#   USA 
+#   USA
 #
 CINCLUDES=-I`ocamlc -where`
 CC=gcc
@@ -39,26 +39,26 @@
 ifndef PREFIX
 	PREFIX=/usr/local
 endif
-ifeq ($(BDBLIB),) 
+ifeq ($(BDBLIB),)
 	OCAMLLIB=
-else 
+else
 	OCAMLLIB= -ccopt $(BDBLIB)
 endif
 
 CAMLP4=-pp $(CAMLP4O)
 CAMLINCLUDE= -I lib -I bdb
-COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes -ccopt -pthread -ccopt -pg -warn-error A
-OCAMLDEP=ocamldep $(CAMLP4) 
+COMMONCAMLFLAGS=$(CAMLINCLUDE) $(OCAMLLIB) -ccopt -Lbdb -dtypes -warn-error A
+OCAMLDEP=ocamldep $(CAMLP4)
 CAMLLIBS=unix.cma str.cma bdb.cma nums.cma bigarray.cma cryptokit.cma
 OCAMLFLAGS=$(COMMONCAMLFLAGS) -g $(CAMLLIBS)
-OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40 $(CAMLLIBS:.cma=.cmxa) 
+OCAMLOPTFLAGS=$(COMMONCAMLFLAGS) -inline 40 $(CAMLLIBS:.cma=.cmxa)
 
 EXE=sks sks_add_mail
 ALL=$(EXE) sks.8.gz
 ALL.bc=$(EXE:=.bc) sks.8.gz
 
-all: $(ALL) 
-all.bc: $(ALL.bc) 
+all: $(ALL)
+all.bc: $(ALL.bc)
 
 COBJS=crc.o
 
@@ -75,7 +75,8 @@
 	fqueue.cmo prefixTree.cmo msgContainer.cmo \
 	nbMsgContainer.cmo cMarshal.cmo reconMessages.cmo \
 	server.cmo client.cmo reconCS.cmo \
-	number_test.cmo decode_test.cmo poly_test.cmo
+	number_test.cmo decode_test.cmo poly_test.cmo \
+	Unique_time.cmo version.cmo
 ROBJS=$(ROBJS.bc:.cmo=.cmx)
 
 OBJS.bc=packet.cmo parsePGP.cmo sStream.cmo bdbwrap.cmo \
@@ -122,15 +123,15 @@
 keyMerge.cmx: keyMerge.ml
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) $(CAMLP4) -c $<
 
-# Special targets 
-
-install: 
+# Special targets
+
+install:
 	mkdir -p $(PREFIX)/bin
 	install sks_build.sh sks sks_add_mail $(PREFIX)/bin
 	mkdir -p $(MANDIR)/man8
 	install sks.8.gz $(MANDIR)/man8
 
-install.bc: 
+install.bc:
 	mkdir -p $(PREFIX)/bin
 	install sks_build.bc.sh sks.bc sks_add_mail.bc $(PREFIX)/bin
 	mkdir -p $(MANDIR)/man8
@@ -138,9 +139,9 @@
 
 
 Makefile.local:
-	touch Makefile.local
-
-src: 
+	@if [ ! -e Makefile.local ]; then echo "Makefile.local has to be defined before building. See Makefile.local.unused"; exit 1; fi;
+
+src:
 	if [ ! -x $(VERSIONPREFIX) ]; then ln -s . $(VERSIONPREFIX); fi
 	tar cfz $(VERSIONPREFIX).tgz $(FILES)
 	rm $(VERSIONPREFIX)
@@ -159,14 +160,20 @@
 spider.bc: $(LIBS.bc) $(ALLOBJS.bc) spider.cmo
 	$(OCAMLC) -o spider.bc $(OCAMLFLAGS) $(ALLOBJS.bc) spider.cmo
 
+sksclient: $(LIBS) $(ALLOBJS) sksclient.cmx
+	$(OCAMLOPT) -o sksclient $(OCAMLOPTFLAGS) $(ALLOBJS) sksclient.cmx
+
+sksclient.bc: $(LIBS.bc) $(ALLOBJS.bc) sksclient.cmo
+	$(OCAMLC) -o sksclient.bc $(OCAMLFLAGS) $(ALLOBJS.bc) sksclient.cmo
+
 sks: $(LIBS) $(ALLOBJS) sks.cmx
 	$(OCAMLOPT) -o sks $(OCAMLOPTFLAGS) $(ALLOBJS) sks.cmx
 
 sks.bc: $(LIBS.bc) $(ALLOBJS.bc) sks.cmo
 	$(OCAMLC) -o sks.bc $(OCAMLFLAGS) $(ALLOBJS.bc) sks.cmo
 
-nbtest.bc: $(LIBS.bc) $(ALLOBJS.bc) nbtest.cmo 
-	$(OCAMLC) -o nbtest.bc $(OCAMLFLAGS) $(ALLOBJS.bc) nbtest.cmo 
+nbtest.bc: $(LIBS.bc) $(ALLOBJS.bc) nbtest.cmo
+	$(OCAMLC) -o nbtest.bc $(OCAMLFLAGS) $(ALLOBJS.bc) nbtest.cmo
 
 ptest: $(LIBS) $(ALLOBJS) ptest.cmx
 	$(OCAMLOPT) -o ptest $(OCAMLOPTFLAGS) $(ALLOBJS) \
@@ -204,12 +211,12 @@
 	pMap.cmo pSet.cmo add_mail.cmo
 
 sks_add_mail: $(LIBS) pMap.cmx pSet.cmx add_mail.cmx
-	$(OCAMLOPT) -o sks_add_mail -ccopt -pg unix.cmxa \
+	$(OCAMLOPT) -o sks_add_mail unix.cmxa \
 	pMap.cmx pSet.cmx add_mail.cmx
 
 ocamldoc.out: $(ALLOBJS) $(EXEOBJS)
 	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
-	-dot $(CAMLP4O) -d doc -I lib -I bdb *.ml *.mli
+	-dot $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml
 
 sks_logdump.bc: $(LIBS.bc) $(ALLOBJS.bc) logdump.cmo
 	$(OCAMLC) -o sks_logdump.bc $(OCAMLFLAGS) $(ALLOBJS.bc) logdump.cmo
@@ -218,7 +225,7 @@
 	$(OCAMLOPT) -o sks_logdump $(OCAMLOPTFLAGS) $(ALLOBJS) \
 	logdump.cmx
 
-bugscript: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx bugscript.cmx 
+bugscript: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx bugscript.cmx
 	$(OCAMLOPT) -o bugscript $(OCAMLOPTFLAGS) $(ALLOBJS) \
 	reconPTreeDb.cmx bugscript.cmx
 
@@ -226,7 +233,7 @@
 	$(OCAMLC) -o bugscript.bc $(OCAMLFLAGS) $(ALLOBJS.bc) \
 	reconPTreeDb.cmo bugscript.cmo
 
-ptree_replay: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx ptree_replay.cmx 
+ptree_replay: $(LIBS) $(ALLOBJS) reconPTreeDb.cmx ptree_replay.cmx
 	$(OCAMLOPT) -o ptree_replay $(OCAMLOPTFLAGS) $(ALLOBJS) \
 	reconPTreeDb.cmx ptree_replay.cmx
 
@@ -239,15 +246,15 @@
 doc: $(ALLOBJS) $(EXEOBJS)
 	mkdir -p doc
 	ocamldoc -hide Pervasives,UnixLabels,MoreLabels \
-	-html $(CAMLP4O) -d doc -I lib -I bdb *.ml *.mli
+	-html $(CAMLP4O) -d doc -I lib -I bdb *.mli *.ml
 
 dist:
 	cd .. && \
 	tar cvfz sks.tgz \
-	sks/*.ml sks/*.mli sks/*.c sks/Makefile \
+	sks/*.mli sks/*.ml sks/*.c sks/Makefile \
 	sks/.depend sks/*.tar.gz \
-	sks/bdb/Makefile sks/bdb/*.ml sks/bdb/*.mli sks/bdb/*.c \
-	sks/bdb/*.h sks/README sks/COPYING sks/VERSION sks/FILES \
+	sks/bdb/Makefile sks/bdb/*.mli sks/bdb/*.ml sks/bdb/*.c \
+	sks/bdb/*.h sks/README.md sks/LICENSE sks/VERSION sks/FILES \
 	sks/Makefile.local.unused sks/sks.8
 
 ##################################
@@ -273,15 +280,16 @@
 	touch prepared
 
 
-CKDIR=cryptokit-1.0
-
-$(CKDIR)/README: 
-	tar xmvfz $(CKDIR).tar.gz
-
-$(CKDIR)/cryptokit.cma: $(CKDIR)/README
+CKVER=cryptokit-1.5
+CKDIR=$(CKVER)/src
+
+$(CKVER)/README.txt:
+	tar xmvfz $(CKVER).tar.gz
+
+$(CKDIR)/cryptokit.cma: $(CKVER)/README.txt
 	cd $(CKDIR) && $(MAKE) all
 
-$(CKDIR)/cryptokit.cmxa: $(CKDIR)/README
+$(CKDIR)/cryptokit.cmxa: $(CKVER)/README.txt
 	cd $(CKDIR) && $(MAKE) allopt
 
 lib/cryptokit.cma: $(CKDIR)/cryptokit.cma $(CKDIR)/cryptokit.cmxa prepared
@@ -318,16 +326,16 @@
 	$(ROBJS) pdiskTest.cmo
 
 script: $(LIBS) $(ALLOBJS) script.cmo
-	$(OCAMLC) -o script $(OCAMLFLAGS) $(ALLOBJS) script.cmo 
+	$(OCAMLC) -o script $(OCAMLFLAGS) $(ALLOBJS) script.cmo
 
 dbtest.bc: $(LIBS.bc) $(ALLOBJS.bc) dbtest.cmo
-	$(OCAMLC) -o dbtest.bc $(OCAMLFLAGS) $(ALLOBJS.bc) dbtest.cmo 
+	$(OCAMLC) -o dbtest.bc $(OCAMLFLAGS) $(ALLOBJS.bc) dbtest.cmo
 
 dbtest: $(LIBS) $(ALLOBJS) dbtest.cmx
 	$(OCAMLOPT) -o dbtest $(OCAMLOPTFLAGS) $(ALLOBJS) dbtest.cmx
 
 tester: $(LIBS) $(ALLOBJS) tester.cmo
-	$(OCAMLC) -o tester $(OCAMLFLAGS) $(ALLOBJS) tester.cmo 
+	$(OCAMLC) -o tester $(OCAMLFLAGS) $(ALLOBJS) tester.cmo
 
 dumbloop: $(LIBS) $(ALLOBJS) dumbloop.cmo
 	$(OCAMLC) -o dumbloop $(OCAMLFLAGS) $(ALLOBJS) dumbloop.cmo
@@ -347,26 +355,26 @@
 krecode: $(ALLOBJS.opt) $(LIBS) recode.ml
 	$(OCAMLOPT) -o krecode $(OCAMLOPTFLAGS) $(ALLOBJS.opt) recode.ml
 
-rcaml: $(LIBS.bc) $(ALLOBJS.bc) 
+rcaml: $(LIBS.bc) $(ALLOBJS.bc)
 	ocamlmktop -o rcaml -custom $(CAMLLIBS) $(CAMLINCLUDE) \
 	$(ALLOBJS.bc) $(OCAMLLIB)
 
 
 
 # Common rules
-.SUFFIXES: .ml .mli .cmo .cmi .cmx
+.SUFFIXES: .mli .ml .cmo .cmi .cmx
 
 .ml.o:
-	$(OCAMLOPT) -output-obj $(OCAMLOPTFLAGS) $< 
+	$(OCAMLOPT) -output-obj $(OCAMLOPTFLAGS) $<
 
 .cpp.o:
 	$(CXX) $(CXXFLAGS) -c $<
 
 .c.o:
-	$(CC) $(CFLAGS) -c $< 
+	$(CC) $(CFLAGS) -c $<
 
 .c.obj:
-	$(CC) $(CFLAGS) /c $< 
+	$(CC) $(CFLAGS) /c $<
 
 .ml.cmo:
 	$(OCAMLC) $(OCAMLFLAGS) -c $<
@@ -384,6 +392,7 @@
 	rm -f *.annot
 	rm -f *.opt
 	rm -f *.bc
+	rm -rf spider sksclient
 	rm -f $(ALL) $(ALL.bc)
 
 clean: mlclean
@@ -393,14 +402,16 @@
 
 cleanall: clean bdbclean
 	rm -f lib/*
-	rm -rf $(CKDIR)
-	rm -rf $(NXDIR)
-	rm -rf
+	rm -rf $(CKVER)
+
+distclean: cleanall
+	rm -rf Makefile.local
+	rm -rf .depend tmp lib
 
 # Dependencies
 
-dep: 
-	$(OCAMLDEP) $(INCLUDES) *.ml *.mli > .depend
+dep:
+	$(OCAMLDEP) $(INCLUDES) *.mli *.ml > .depend
 
 -include .depend
