=== debian/changelog ===
sks (1.1.4-2.1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/sks.postinst: Provide OLD_BDB versions for Ubuntu.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 23:03:20 +0000

sks (1.1.4-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix compilation with OCaml 4.01.0 (Closes: #731584)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Dec 2013 07:18:02 +0100

sks (1.1.4-2ubuntu2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:28:21 +0000

sks (1.1.4-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1247908, #1096116)
    Remaining changes:
    - debian/sks.postinst: Provide OLD_BDB versions for Ubuntu.
  * Dropped change, already applied in Debian:
    - Look for ^.i not ^ii in libdbX.Y-dev packages for
      BDB_VERSION and assert that we have a value.

 -- Artur Rona <ari-tczew@tlen.pl>  Mon, 04 Nov 2013 17:50:37 +0100

sks (1.1.4-2) unstable; urgency=low

  * move to unstable
  * 1.1.4 stops creating gmon.out (Closes: #699847)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Aug 2013 23:04:12 -0400

sks (1.1.4-1) experimental; urgency=low

  * New Upstream Release (Closes: #690135)
  * added myself to Uploaders.
  * convert to dh 9
  * Standards-Version: bump to 3.9.4 (no changes needed)
  * debian/rules: clean up
  * refresh and clean up debian/patches
  * switch packaging vcs to git
  * avoid trying to upgrade DB_CONFIG (Closes: #709322)
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Jun 2013 16:39:02 -0400

sks (1.1.3-3) UNRELEASED; urgency=low

  [ Christoph Martin ]
  * merge Ubuntu changes
  * Look for ^.i not ^ii in libdbX.Y-dev packages for BDB_VERSION. And
    assert that we have a value (LP: #1021650)
  * Create /var/lib/sks/berkeley_db.active even when we aren't upgrading BDB
    versions.

  [ Daniel Kahn Gillmor ]
  * avoid trying to upgrade DB_CONFIG (Closes: #709322)
  * switch to git
  * adding myself to uploaders
  * use debhelper 9

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Jun 2013 18:10:07 -0400

sks (1.1.3-2ubuntu2) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 02 Nov 2013 19:08:26 +0000

sks (1.1.3-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Look for ^.i not ^ii in libdbX.Y-dev packages for
      BDB_VERSION and assert that we have a value.
    - debian/sks.postinst: Provide OLD_BDB versions for Ubuntu.
  * Dropped changes:
    - Include pagesize and ptree_pagesize in sksconf so that importing a dump
      won't hang (a similar change was made in Debian).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 24 Mar 2013 01:21:06 -0400

sks (1.1.3-2) unstable; urgency=high

  * add Vcs tags to control file
  * fix watch file because of upstream move
  * add Homepage tag to control file
  * add db parameter to sksconf to fix db build deadlocks (closes: #699848)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 11 Mar 2013 16:48:16 +0100

sks (1.1.3-1ubuntu3) quantal; urgency=low

  * debian/sks.postinst: LP: #1061769
    - detect if Ubuntu system, even if dpkg-vendor is not available

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 04 Oct 2012 12:44:23 -0500
